#!/bin/bash

source "$HOME/.bashrc-path"
source "$HOME/.bashrc-alias"

# Use bash completion if installed
if [[ $PS1 && -f /usr/share/bash-completion/bash_completion ]]; then
	source /usr/share/bash-completion/bash_completion
fi

git_branch() {
  branch=$(git branch --show-current 2>/dev/null)
  if [ -n "$branch" ]; then
    echo " 󰘬 $branch"
  fi
}

PS1='\[\e[38;5;238m\]╭╴\[\e[0;2m\]󰣇\[\e[0m\]  \[\e[38;5;171;1;2m\]\u\[\e[0m\] on \[\e[38;5;221;1m\]\h\[\e[0m\] at \[\e[38;5;159;1m\]\w\[\e[0m\]\[\e[38;5;156m\]$(git_branch)\n\[\e[38;5;238m\]╰─\[\e[0m\]  '
